Bug 473010 - Inconsistent dpi detected value
Inconsistent dpi detected value
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 21:17 EST by markm
Modified: 2010-06-16 07:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 12:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markm 2008-11-25 21:17:40 EST
Description of problem:

After a successful installation of Fedora 10 I am first time logged in as root, dpi is detected as expected to be 96.
When I login as a user, dpi is detected as 120 - where that value comes from?

Fedora 9 was setting it to 127, Fedora 8 was setting there 110 - where this values are coming from? 

Version-Release number of selected component (if applicable):

Fedora 10, latest (it worked the same way in Fedora 8 and 9)

How reproducible:

always

Steps to Reproduce:
1. Install fedora 10
2. Log in as a root
3. go to Font settings in Appearance dialog
4. See “details” - dpi set to 96
5. log out
6. log in as a user
7. go to Font settings in Appearance dialog
8. see “details”
  
Actual results:

dpi set to random value

Expected results:

dpi set to 96

Additional info:

forcing higher dpi does not give any value to the user, I don't like to have 1cm tall fonts on my screen.
Comment 1 markm 2009-11-24 11:22:44 EST
I have just installed Fedora 12 on three different machines, all of them have correctly set dpi to 96.

Yet when I installed nvidia drivers, gdm started to show much larger text as it has detected dpi value larger than 96... what is the reason for that?
Comment 2 Bug Zapper 2010-04-27 08:22:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2010-06-15 12:10:58 EDT
Take a look at output of the command

xdpyinfo |grep resolution

That's give you dpi as reported by X server. Turns out with dual-head setups, pluggable monitors (think laptop basestations and beam projectors), LCD displays on the one hand, and almost everything on the screen being vector-based these days (most people don't use any bitmap fonts I think), this number lost much of its meaning. For some time already X server hardcoded 96dpi although drivers are free to override this value if they think so.

Which leads to the ugly conclusion that this bug should be closed as CANTFIX because we cannot do much about nvidia binary drivers. Looking on the bright side, however, there is a bug https://bugzilla.gnome.org/show_bug.cgi?id=378338 which guarantees you that whatever value you set up in gnome will be acknowledged as decisive.

So, the small additional price you pay for using nvidia binary drivers is that you have to set up DPI manually and it will be honored.

Closing as CANTFIX
Comment 4 markm 2010-06-16 07:04:57 EDT
Fair enough, thanks.

Note You need to log in before you can comment on or make changes to this bug.